%define module	django-easy-thumbnails

Name:		python-%{module}
Version:	2.3
Release:	%mkrel 1
Summary:	A powerful, yet easy to implement thumbnailing application for Django
License:	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/easy-thumbnails/
Source0:	https://pypi.python.org/packages/source/e/easy-thumbnails/easy-thumbnails-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

%description
A powerful, yet easy to implement thumbnailing application for Django.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	A powerful, yet easy to implement thumbnailing application for Django
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
A powerful, yet easy to implement thumbnailing application for Django.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n easy-thumbnails-%{version}

# Remove bundled egg-info
rm -rf easy_thumbnails.egg-info

cp -a . %{py3dir}

# fix rpmlint warning: wrong-file-end-of-line-encoding
sed -i 's/\r$//' README.rst

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc README.rst CHANGES.rst docs/
%{python2_sitelib}/easy_thumbnails/
%{python2_sitelib}/easy_thumbnails-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst CHANGES.rst docs/
%{python3_sitelib}/easy_thumbnails/
%{python3_sitelib}/easy_thumbnails-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Dec 12 2015 daviddavid <daviddavid> 2.3-1.mga6
+ Revision: 909630
- new version: 2.3

* Thu Nov 12 2015 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 902710
- new version: 2.2.1

* Wed Oct 07 2015 daviddavid <daviddavid> 2.2-2.mga6
+ Revision: 886807
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 2.2-1.mga6
+ Revision: 837973
- new version: 2.2

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 744223
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1-3.mga5
+ Revision: 728280
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1-2.mga5
+ Revision: 687976
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 daviddavid <daviddavid> 2.1-1.mga5
+ Revision: 662443
- add available docs folder
- new version: 2.1

* Sat May 31 2014 pterjan <pterjan> 1.4-3.mga5
+ Revision: 628560
- Rebuild for new Python

* Tue Apr 22 2014 daviddavid <daviddavid> 1.4-2.mga5
+ Revision: 617355
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 1.4-1.mga5
+ Revision: 617233
- add support of python 3
- imported package python-django-easy-thumbnails

